## rock-master-20.01-gui-pose3d-editor 0.20200209

=== test/CMakeLists.txt ===
#FIND_PACKAGE(Qt4 REQUIRED QtCore QtGui QtOpenGL)
#INCLUDE(${QT_USE_FILE})
#ADD_DEFINITIONS(${QT_DEFINITIONS})

#add_executable(plugintest plugintest.cpp)
#target_link_libraries(plugintest pose3d_editor)

#find_package(PkgConfig)
#pkg_check_modules(EIGEN eigen3)
#pkg_check_modules(vizkit3d vizkit3d)
#find_package(Boost COMPONENTS system filesystem REQUIRED)
#include_directories(${EIGEN_INCLUDE_DIRS} ${vizkit3d_INCLUDE_DIRS})

#add_executable(vizkitest vizkittest.cpp)
#target_link_libraries(vizkitest pose3d_editor-viz modifiable_scene ${vizkit3d_LIBRARIES} ${Boost_FILESYSTEM_LIBRARY}
#  ${Boost_SYSTEM_LIBRARY})

=== viz/CMakeLists.txt ===
include_directories(../src)

add_definitions(-DEIGEN_DONT_ALIGN)
rock_find_cmake(Boost REQUIRED COMPONENTS thread system)
rock_vizkit_plugin(pose3d_editor-viz
    Pose3dEditorVizkit.cpp
    DEPS_PKGCONFIG base-types eigen3
    DEPS pose3d_editor modifiable_scene
    MOC Pose3dEditorVizkit.hpp
    HEADERS Pose3dEditorVizkit.hpp
    LIBS ${Boost_THREAD_LIBRARY} ${Boost_SYSTEM_LIBRARY})

=== src/modifiable_scene/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
set(CMAKE_BUILD_TYPE Debug)

FIND_PACKAGE(OpenSceneGraph REQUIRED osgManipulator osgViewer osgDB osgUtil osgGA osgText)
find_package(PkgConfig)
pkg_check_modules(OSGQT openscenegraph-osgQt)


FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE(${QT_USE_FILE})
ADD_DEFINITIONS(${QT_DEFINITIONS} "-fPIC")
SET(QT_USE_QTOPENGL TRUE)


INCLUDE_DIRECTORIES(${OPENSCENEGRAPH_INCLUDE_DIRS})


add_library( modifiable_scene scene.h scene.cpp sceneitem.h sceneitem.cpp manipulatable.h manipulatable.cpp dragger.h dragger.cpp)
TARGET_LINK_LIBRARIES( modifiable_scene ${OPENSCENEGRAPH_LIBRARIES} ${OSGQT_LIBRARIES})
install (FILES scene.h sceneitem.h manipulatable.h dragger.h DESTINATION include/${PROJECT_NAME}/modifiable_scene)

=== debian/changelog ===
rock-master-20.01-gui-pose3d-editor (0.20200209-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-gui/gui-pose3d_editor.git
  * branch: refs/heads/master
  * commit: 519543db8a6cdea146c3ac30accc1078d8490c9d
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Thu, 13 Feb 2020 03:36:47 +0100

=== debian/control ===
Source: rock-master-20.01-gui-pose3d-editor
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, libopenscenegraph-dev, libqt4-dev, libqt4-opengl-dev, qt4-qmake, rock-master-20.01-base-cmake
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-gui-pose3d-editor
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-cmake, cmake, libopenscenegraph-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev
Description: 
 No documentation in manifest
